Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
formpreview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
if(isset( $Cancel)) if(isset( $OK)) | $ActionValue ="preview"
| $form = new eZForm( $FormID )
| $errorMessages = array()
| $Language = $ini->variable( "eZFormMain", "Language" )
| $t
| $renderer = new eZFormRenderer( $form )
| $output =& $renderer->renderForm( $form, false, false )

## Variable Documentation

## ◆ $ActionValue

if (isset($Cancel)) if (isset($OK)) $ActionValue ="preview"

Definition at line 53 of file formpreview.php.

## ◆ $errorMessages

$errorMessages = array()

Definition at line 57 of file formpreview.php.

## ◆ $form

$form = new eZForm( $FormID )

Definition at line 55 of file formpreview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 38 of file formpreview.php.

## ◆ $Language

$Language = $ini->variable( "eZFormMain", "Language" )

Definition at line 59 of file formpreview.php.

## ◆ $output

$output =& $renderer->renderForm( $form, false, false )

Definition at line 81 of file formpreview.php.

Referenced by createArticleMenu(), createLinkMenu(), createPage(), createPollMenu(), createQuizMenu(), createSmallArticleList(), fetchURLInfo(), ezpTopologicalSort\getRootNodes(), ezpAttributeOperatorHTMLFormatter\line(), ezpAttributeOperatorTextFormatter\line(), eZBackslashImporter\news(), eZNyheterNOImporter\news(), eZRDFImporter\news(), eZRSSImporter\news(), eZFormRenderer\renderElement(), eZFormRenderer\renderForm(), eZQDomRenderer\renderStandards(), eZDebug\setMessageOutput(), ezpContentPublishingQueueProcessor\setOutput(), and eZFormRenderer\verifyForm().

## ◆ $renderer

$renderer = new eZFormRenderer( $form )

Definition at line 80 of file formpreview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezform/admin/" . $ini->variable( "eZFormMain", "AdminTemplateDir" ),
"kernel/ezform/admin/intl/", $Language, "form.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: formpreview.php:59
$ini
$ini
Definition: formpreview.php:38

Definition at line 61 of file formpreview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.